 drivers/pcmcia/cs.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN drivers/pcmcia/cs.c~pcmcia-fix drivers/pcmcia/cs.c
--- 25/drivers/pcmcia/cs.c~pcmcia-fix	2003-04-30 02:55:46.000000000 -0700
+++ 25-akpm/drivers/pcmcia/cs.c	2003-04-30 02:58:54.000000000 -0700
@@ -303,7 +303,7 @@ static int proc_read_clients(char *buf, 
 ======================================================================*/
 
 static int pccardd(void *__skt);
-void pcmcia_unregister_socket(struct device *dev);
+static void pcmcia_unregister_socket(struct class_device *class_dev);
 
 #define to_class_data(dev) dev->class_data
 
@@ -358,7 +358,7 @@ int pcmcia_register_socket(struct class_
 		spin_lock_init(&s->thread_lock);
 		ret = kernel_thread(pccardd, s, CLONE_KERNEL);
 		if (ret < 0) {
-			pcmcia_unregister_socket(dev);
+			pcmcia_unregister_socket(class_dev);
 			break;
 		}
 
@@ -387,7 +387,7 @@ int pcmcia_register_socket(struct class_
 /**
  * pcmcia_unregister_socket - remove a pcmcia socket device
  */
-void pcmcia_unregister_socket(struct class_device *class_dev)
+static void pcmcia_unregister_socket(struct class_device *class_dev)
 {
 	struct pcmcia_socket_class_data *cls_d = class_get_devdata(class_dev);
 	unsigned int i;

_
